<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:03 CEST 2016 -->
<title>Serialized Form</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Serialized Form";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
<ul class="blockList">
<li class="blockList">
<h2 title="Package">Package&nbsp;controler</h2>
<ul class="blockList">
<li class="blockList"><a name="controler.Drag">
<!--   -->
</a>
<h3>Class <a href="controler/Drag.html" title="class in controler">controler.Drag</a> extends javax.swing.TransferHandler implements Serializable</h3>
</li>
<li class="blockList"><a name="controler.Drop">
<!--   -->
</a>
<h3>Class <a href="controler/Drop.html" title="class in controler">controler.Drop</a> extends javax.swing.TransferHandler implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>game</h4>
<pre><a href="controler/Game.html" title="class in controler">Game</a> game</pre>
<div class="block">The actual game.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;model</h2>
<ul class="blockList">
<li class="blockList"><a name="model.GameRule">
<!--   -->
</a>
<h3>Class <a href="model/GameRule.html" title="class in model">model.GameRule</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>players</h4>
<pre><a href="model/Player.html" title="class in model">Player</a>[] players</pre>
<div class="block">The array of players.</div>
</li>
<li class="blockList">
<h4>pattern</h4>
<pre><a href="model/Pattern.html" title="class in model">Pattern</a> pattern</pre>
<div class="block">The pattern.</div>
</li>
<li class="blockList">
<h4>map</h4>
<pre><a href="model/Map.html" title="class in model">Map</a> map</pre>
<div class="block">The map.</div>
</li>
<li class="blockList">
<h4>actualPlayer</h4>
<pre>int actualPlayer</pre>
<div class="block">Index of the actual player.</div>
</li>
<li class="blockListLast">
<h4>passerTour</h4>
<pre>boolean passerTour</pre>
<div class="block">Skip lap boolean.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="model.GameRuleOnline">
<!--   -->
</a>
<h3>Class <a href="model/GameRuleOnline.html" title="class in model">model.GameRuleOnline</a> extends <a href="model/GameRule.html" title="class in model">GameRule</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>version</h4>
<pre>int version</pre>
<div class="block">The version.</div>
</li>
<li class="blockListLast">
<h4>lastPieceOnline</h4>
<pre><a href="model/Piece.html" title="class in model">Piece</a> lastPieceOnline</pre>
<div class="block">The last piece online.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="model.IA">
<!--   -->
</a>
<h3>Class <a href="model/IA.html" title="class in model">model.IA</a> extends <a href="model/Player.html" title="class in model">Player</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>level</h4>
<pre>int level</pre>
<div class="block">The level.</div>
</li>
<li class="blockList">
<h4>nextPiece</h4>
<pre><a href="model/Piece.html" title="class in model">Piece</a> nextPiece</pre>
<div class="block">The next piece.</div>
</li>
<li class="blockList">
<h4>nextPosition</h4>
<pre><a href="model/Position.html" title="class in model">Position</a> nextPosition</pre>
<div class="block">The next position.</div>
</li>
<li class="blockListLast">
<h4>gameRule</h4>
<pre><a href="model/GameRule.html" title="class in model">GameRule</a> gameRule</pre>
<div class="block">The game rule.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="model.Map">
<!--   -->
</a>
<h3>Class <a href="model/Map.html" title="class in model">model.Map</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>map</h4>
<pre><a href="model/Piece.html" title="class in model">Piece</a>[][] map</pre>
<div class="block">The map.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="model.Pattern">
<!--   -->
</a>
<h3>Class <a href="model/Pattern.html" title="class in model">model.Pattern</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_PATH</h4>
<pre>java.lang.String PATTERN_PATH</pre>
<div class="block">The pattern path.</div>
</li>
<li class="blockList">
<h4>PATTERN_POSITION_PATH</h4>
<pre>java.lang.String PATTERN_POSITION_PATH</pre>
<div class="block">The pattern position path.</div>
</li>
<li class="blockList">
<h4>patternCache</h4>
<pre>boolean[][][] patternCache</pre>
<div class="block">The pattern cache.</div>
</li>
<li class="blockListLast">
<h4>patternPositionCache</h4>
<pre>int[][][] patternPositionCache</pre>
<div class="block">The pattern position cache.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="model.Piece">
<!--   -->
</a>
<h3>Class <a href="model/Piece.html" title="class in model">model.Piece</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>pattern</h4>
<pre>int[][] pattern</pre>
<div class="block">The pattern of the piece.</div>
</li>
<li class="blockList">
<h4>player</h4>
<pre><a href="model/Player.html" title="class in model">Player</a> player</pre>
<div class="block">The player.</div>
</li>
<li class="blockList">
<h4>isUse</h4>
<pre>boolean isUse</pre>
<div class="block">If this piece is use or not.</div>
</li>
<li class="blockListLast">
<h4>score</h4>
<pre>int score</pre>
<div class="block">The score of the piece.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="model.Player">
<!--   -->
</a>
<h3>Class <a href="model/Player.html" title="class in model">model.Player</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>PATTERN_NUMBER</h4>
<pre>int PATTERN_NUMBER</pre>
<div class="block">The pattern number.</div>
</li>
<li class="blockList">
<h4>pieces</h4>
<pre><a href="model/Piece.html" title="class in model">Piece</a>[] pieces</pre>
<div class="block">The board of the players piece.</div>
</li>
<li class="blockList">
<h4>color</h4>
<pre>java.awt.Color color</pre>
<div class="block">The color of the players.</div>
</li>
<li class="blockList">
<h4>score</h4>
<pre>int score</pre>
<div class="block">The score of the players.</div>
</li>
<li class="blockList">
<h4>name</h4>
<pre>java.lang.String name</pre>
<div class="block">The name of the players.</div>
</li>
<li class="blockList">
<h4>pattern</h4>
<pre><a href="model/Pattern.html" title="class in model">Pattern</a> pattern</pre>
<div class="block">The pattern of the players.</div>
</li>
<li class="blockList">
<h4>map</h4>
<pre>boolean[][] map</pre>
<div class="block">The map of the players.</div>
</li>
<li class="blockList">
<h4>canPlay</h4>
<pre>boolean canPlay</pre>
<div class="block">If the player can play.</div>
</li>
<li class="blockList">
<h4>origin</h4>
<pre><a href="model/Position.html" title="class in model">Position</a> origin</pre>
<div class="block">The origin of the players.</div>
</li>
<li class="blockListLast">
<h4>actualNbPiece</h4>
<pre>int actualNbPiece</pre>
<div class="block">The actual number of piece.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="model.PlayerOnline">
<!--   -->
</a>
<h3>Class <a href="model/PlayerOnline.html" title="class in model">model.PlayerOnline</a> extends <a href="model/Player.html" title="class in model">Player</a> implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>onlineId</h4>
<pre>int onlineId</pre>
<div class="block">The online id.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="model.Position">
<!--   -->
</a>
<h3>Class <a href="model/Position.html" title="class in model">model.Position</a> extends java.lang.Object implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>x</h4>
<pre>int x</pre>
<div class="block">The x.</div>
</li>
<li class="blockListLast">
<h4>y</h4>
<pre>int y</pre>
<div class="block">The y.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList">
<h2 title="Package">Package&nbsp;view</h2>
<ul class="blockList">
<li class="blockList"><a name="view.Aide">
<!--   -->
</a>
<h3>Class <a href="view/Aide.html" title="class in view">view.Aide</a> extends javax.swing.JPanel implements Serializable</h3>
</li>
<li class="blockList"><a name="view.Blokus">
<!--   -->
</a>
<h3>Class <a href="view/Blokus.html" title="class in view">view.Blokus</a> extends javax.swing.JFrame implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>cards</h4>
<pre>javax.swing.JPanel cards</pre>
<div class="block">The jPanel who have the cardLayout.</div>
</li>
<li class="blockList">
<h4>cl</h4>
<pre>java.awt.CardLayout cl</pre>
<div class="block">The cardLayout who contains the different cards.</div>
</li>
<li class="blockList">
<h4>viewGame</h4>
<pre><a href="view/ViewGame.html" title="class in view">ViewGame</a> viewGame</pre>
<div class="block">The view game, the jPanel who displays the actual game (the grid and the playerZone).</div>
</li>
<li class="blockList">
<h4>glass</h4>
<pre><a href="view/GlassPane.html" title="class in view">GlassPane</a> glass</pre>
<div class="block">The glassPane used to animate the drag and drop of the pieces with a transparent piece.</div>
</li>
<li class="blockList">
<h4>main</h4>
<pre><a href="view/MainMenu.html" title="class in view">MainMenu</a> main</pre>
<div class="block">The main menu where we can access to all different menu.</div>
</li>
<li class="blockListLast">
<h4>parametres</h4>
<pre><a href="view/Parametres.html" title="class in view">Parametres</a> parametres</pre>
<div class="block">The parametres menu where we can change the parameter of the game.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="view.GlassPane">
<!--   -->
</a>
<h3>Class <a href="view/GlassPane.html" title="class in view">view.GlassPane</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>img</h4>
<pre>java.awt.image.BufferedImage img</pre>
<div class="block">The image of the piece.</div>
</li>
<li class="blockList">
<h4>location</h4>
<pre>java.awt.Point location</pre>
<div class="block">The location.</div>
</li>
<li class="blockListLast">
<h4>transparence</h4>
<pre>java.awt.Composite transparence</pre>
<div class="block">The transparency effect on this JPanel.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="view.Grid">
<!--   -->
</a>
<h3>Class <a href="view/Grid.html" title="class in view">view.Grid</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>cursor</h4>
<pre>boolean cursor</pre>
<div class="block">If the advanced cursor is activate.</div>
</li>
<li class="blockList">
<h4>jLabelTab</h4>
<pre>javax.swing.JLabel[][] jLabelTab</pre>
<div class="block">All jLabel of the grid.</div>
</li>
<li class="blockListLast">
<h4>lastTemporalPosition</h4>
<pre><a href="model/Position.html" title="class in model">Position</a> lastTemporalPosition</pre>
<div class="block">The last position of the curso in the grid.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="view.MainMenu">
<!--   -->
</a>
<h3>Class <a href="view/MainMenu.html" title="class in view">view.MainMenu</a> extends javax.swing.JPanel implements Serializable</h3>
</li>
<li class="blockList"><a name="view.MenuCreation">
<!--   -->
</a>
<h3>Class <a href="view/MenuCreation.html" title="class in view">view.MenuCreation</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>p1</h4>
<pre><a href="view/LinePlayer.html" title="class in view">LinePlayer</a> p1</pre>
<div class="block">The LinePlayer 1.</div>
</li>
<li class="blockList">
<h4>p2</h4>
<pre><a href="view/LinePlayer.html" title="class in view">LinePlayer</a> p2</pre>
<div class="block">The LinePlayer 2.</div>
</li>
<li class="blockList">
<h4>p3</h4>
<pre><a href="view/LinePlayer.html" title="class in view">LinePlayer</a> p3</pre>
<div class="block">The LinePlayer 3.</div>
</li>
<li class="blockList">
<h4>p4</h4>
<pre><a href="view/LinePlayer.html" title="class in view">LinePlayer</a> p4</pre>
<div class="block">The LinePlayer 4.</div>
</li>
<li class="blockListLast">
<h4>blokus</h4>
<pre><a href="view/Blokus.html" title="class in view">Blokus</a> blokus</pre>
<div class="block">The blokus frame.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="view.MenuLan">
<!--   -->
</a>
<h3>Class <a href="view/MenuLan.html" title="class in view">view.MenuLan</a> extends javax.swing.JPanel implements Serializable</h3>
</li>
<li class="blockList"><a name="view.MenuPiece">
<!--   -->
</a>
<h3>Class <a href="view/MenuPiece.html" title="class in view">view.MenuPiece</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>jLabelTab</h4>
<pre>javax.swing.JLabel[][] jLabelTab</pre>
<div class="block">The jLabelTab.</div>
</li>
<li class="blockList">
<h4>piece</h4>
<pre>int[][] piece</pre>
<div class="block">The piece board.</div>
</li>
<li class="blockList">
<h4>pieces</h4>
<pre><a href="view/PlayerPieces.html" title="class in view">PlayerPieces</a> pieces</pre>
<div class="block">The pieces display (view).</div>
</li>
<li class="blockList">
<h4>pattern</h4>
<pre><a href="model/Pattern.html" title="class in model">Pattern</a> pattern</pre>
<div class="block">The pattern.</div>
</li>
<li class="blockListLast">
<h4>blokus</h4>
<pre><a href="view/Blokus.html" title="class in view">Blokus</a> blokus</pre>
<div class="block">The blokus.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="view.Parametres">
<!--   -->
</a>
<h3>Class <a href="view/Parametres.html" title="class in view">view.Parametres</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>pieces</h4>
<pre><a href="view/PlayerPieces.html" title="class in view">PlayerPieces</a> pieces</pre>
<div class="block">The pieces.</div>
</li>
<li class="blockList">
<h4>pattern</h4>
<pre><a href="model/Pattern.html" title="class in model">Pattern</a> pattern</pre>
<div class="block">The pattern.</div>
</li>
<li class="blockList">
<h4>listePiece</h4>
<pre>int[] listePiece</pre>
<div class="block">The liste piece.</div>
</li>
<li class="blockList">
<h4>index</h4>
<pre>int index</pre>
<div class="block">The index.</div>
</li>
<li class="blockList">
<h4>curseur</h4>
<pre>javax.swing.JButton curseur</pre>
<div class="block">The curseur.</div>
</li>
<li class="blockList">
<h4>passerTour</h4>
<pre>javax.swing.JButton passerTour</pre>
<div class="block">The passer tour.</div>
</li>
<li class="blockListLast">
<h4>scrollPane</h4>
<pre>javax.swing.JScrollPane scrollPane</pre>
<div class="block">scrollPane.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="view.PlayerBar">
<!--   -->
</a>
<h3>Class <a href="view/PlayerBar.html" title="class in view">view.PlayerBar</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>score</h4>
<pre>javax.swing.JLabel score</pre>
<div class="block">The jPanel of the score of the player.</div>
</li>
<li class="blockList">
<h4>pieces</h4>
<pre>javax.swing.JLabel pieces</pre>
<div class="block">The jPanel of the number of pieces of the player.</div>
</li>
<li class="blockList">
<h4>name</h4>
<pre>javax.swing.JLabel name</pre>
<div class="block">The jPanel of the name of the player.</div>
</li>
<li class="blockListLast">
<h4>player</h4>
<pre><a href="model/Player.html" title="class in model">Player</a> player</pre>
<div class="block">The player.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="view.PlayerPiece">
<!--   -->
</a>
<h3>Class <a href="view/PlayerPiece.html" title="class in view">view.PlayerPiece</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>piece</h4>
<pre><a href="model/Piece.html" title="class in model">Piece</a> piece</pre>
<div class="block">The piece.</div>
</li>
<li class="blockList">
<h4>pieceListener</h4>
<pre><a href="controler/PieceListener.html" title="class in controler">PieceListener</a> pieceListener</pre>
<div class="block">The piece listener.</div>
</li>
<li class="blockListLast">
<h4>playerZone</h4>
<pre><a href="view/PlayerZone.html" title="class in view">PlayerZone</a> playerZone</pre>
<div class="block">The player zone who contains this piece.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="view.PlayerPieces">
<!--   -->
</a>
<h3>Class <a href="view/PlayerPieces.html" title="class in view">view.PlayerPieces</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockListLast">
<h4>playerPieces</h4>
<pre>java.util.ArrayList&lt;E&gt; playerPieces</pre>
<div class="block">The list of playerPiece.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="view.PlayerZone">
<!--   -->
</a>
<h3>Class <a href="view/PlayerZone.html" title="class in view">view.PlayerZone</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>playerBar</h4>
<pre><a href="view/PlayerBar.html" title="class in view">PlayerBar</a> playerBar</pre>
<div class="block">The player bar.</div>
</li>
<li class="blockList">
<h4>player</h4>
<pre><a href="model/Player.html" title="class in model">Player</a> player</pre>
<div class="block">The player.</div>
</li>
<li class="blockList">
<h4>scrollPane</h4>
<pre>javax.swing.JScrollPane scrollPane</pre>
<div class="block">The scrollPane who contains the playerPieces.</div>
</li>
<li class="blockList">
<h4>abandonner</h4>
<pre>javax.swing.JButton abandonner</pre>
<div class="block">The button abandonner and passer.</div>
</li>
<li class="blockList">
<h4>passer</h4>
<pre>javax.swing.JButton passer</pre>
<div class="block">The button abandonner and passer.</div>
</li>
<li class="blockList">
<h4>playerPieces</h4>
<pre><a href="view/PlayerPieces.html" title="class in view">PlayerPieces</a> playerPieces</pre>
<div class="block">The playerPieces.</div>
</li>
<li class="blockList">
<h4>blokus</h4>
<pre><a href="view/Blokus.html" title="class in view">Blokus</a> blokus</pre>
<div class="block">The blokus.</div>
</li>
<li class="blockListLast">
<h4>game</h4>
<pre><a href="controler/Game.html" title="class in controler">Game</a> game</pre>
<div class="block">The game.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="view.ViewGame">
<!--   -->
</a>
<h3>Class <a href="view/ViewGame.html" title="class in view">view.ViewGame</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>playerZones</h4>
<pre><a href="view/PlayerZone.html" title="class in view">PlayerZone</a>[] playerZones</pre>
<div class="block">The playerZones.</div>
</li>
<li class="blockList">
<h4>zoneInformation</h4>
<pre><a href="view/ZoneInformation.html" title="class in view">ZoneInformation</a> zoneInformation</pre>
<div class="block">The zoneInformation.</div>
</li>
<li class="blockListLast">
<h4>grid</h4>
<pre><a href="view/Grid.html" title="class in view">Grid</a> grid</pre>
<div class="block">The grid.</div>
</li>
</ul>
</li>
</ul>
</li>
<li class="blockList"><a name="view.ZoneInformation">
<!--   -->
</a>
<h3>Class <a href="view/ZoneInformation.html" title="class in view">view.ZoneInformation</a> extends javax.swing.JPanel implements Serializable</h3>
<ul class="blockList">
<li class="blockList"><a name="serializedForm">
<!--   -->
</a>
<h3>Serialized Fields</h3>
<ul class="blockList">
<li class="blockList">
<h4>gauche</h4>
<pre>javax.swing.JPanel gauche</pre>
<div class="block">The left panel. He contain the score when the game is finish.</div>
</li>
<li class="blockList">
<h4>sauvegarder</h4>
<pre>javax.swing.JButton sauvegarder</pre>
<div class="block">The button who allow to quit or save the game.</div>
</li>
<li class="blockList">
<h4>quitter</h4>
<pre>javax.swing.JButton quitter</pre>
<div class="block">The button who allow to quit or save the game.</div>
</li>
<li class="blockListLast">
<h4>game</h4>
<pre><a href="controler/Game.html" title="class in controler">Game</a> game</pre>
<div class="block">The game.</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
<li><a href="serialized-form.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
